How it works
The following diagram describes the different steps required to create a person with Equals Money. Click on the image to enlarge it.Create a person
POST
/v2/peopleRequest
Use this request to grant someone access to an account. If they don’t have apersonId, this request will create both a new personId and a personaId.
If they already have a personId, this request will create a new personaId for them.
Request body schema
The ID of the account that you’re adding a person to.Allowable values: An existing
accountId (≤ 36 characters)The person’s first name.Allowable values: ≤ 256 characters
The person’s last name.Allowable values: ≤ 256 characters
The person’s role. Learn more about role types.Allowable values:
Owner,Admin, Payer, Viewer, Accountant, UserThe person’s date of birth.Allowable values: A valid string
The person’s email address. This will be used to identify them and cannot be changed later. If a person with this email address already exists, this request will add the existing person to the account. If you’re using approved email domains, then we’ll check whether the email domain is on your list of approved email domains and will return an error if not.Allowable values: ≤ 256 characters
The person’s primary mobile phone number.Allowable values: ≤ 50 characters
The status to give the person.Allowable values:
active, deactivatedThe person’s employee number.Allowable values: ≤ 256 characters
The person’s job title.Allowable values: ≤ 256 characters
Whether or not the person has chosen to receive email notifications. By default, this is set to
false.Allowable values: true, falseYour persona ID.Allowable values: ≤ 36 characters
Whether or not to create a new user in the user pool. By default, this is set to
true.Allowable values: true, falseIndicates whether an invitation should be sent to the person, allowing them to complete the sign-up process. This is set to
true by default.Allowable values: true, falseThe theme used in emails that are sent to this person.Allowable values:
em-light, em-darkResponse
If your request is successful, you’ll receive a201 response containing an id.